parameter id_value                  =  8'hC0;

parameter buf_128KSPS               =  4'b1010;
parameter buf_64KSPS                =  4'b1001; 
parameter buf_32KSPS                =  4'b1000;
parameter buf_16KSPS                =  4'b0111;
parameter buf_8KSPS                 =  4'b0110;
parameter buf_4KSPS                 =  4'b0101;
parameter buf_2KSPS                 =  4'b0100; 
parameter buf_1KSPS                 =  4'b0011;  
parameter buf_512SPS                =  4'b0010;  
parameter buf_256SPS                =  4'b0001;
parameter buf_128SPS                =  4'b0000;

parameter FIFO_128KSPS              =  19'h40000;
parameter FIFO_64KSPS               =  19'h20000; 
parameter FIFO_32KSPS               =  19'h10000;
parameter FIFO_16KSPS               =  19'h08000;
parameter FIFO_8KSPS                =  19'h04000;
parameter FIFO_4KSPS                =  19'h02000;
parameter FIFO_2KSPS                =  19'h01000; 
parameter FIFO_1KSPS                =  19'h00800;  
parameter FIFO_512SPS               =  19'h00400;  
parameter FIFO_256SPS               =  19'h00200;
parameter FIFO_128SPS               =  19'h00100;

parameter ch0_sel                   =  3'b000;  
parameter ch1_sel                   =  3'b001;  
parameter ch2_sel                   =  3'b010;
parameter ch3_sel                   =  3'b011;
parameter ch01_sel                  =  3'b100;
parameter ch23_sel                  =  3'b101;

parameter adca_sel                  =  3'b000;
parameter adcb_sel                  =  3'b001;
parameter clkgen_sel                =  3'b010;
parameter sysref_sel                =  3'b011;

parameter I2C_READ_BIT              =  1'b1;
parameter I2C_WRITE_BIT             =  1'b0;

