`timescale 1ns / 1ps

/******************************************************************************
* Copyright (c) 2011, Linear Technology, Corp.                                *
* Linear Tech Proprietary and Confidential                                    *
*                                                                             *
* Title:                                                                      *
* Author:          Gary Yu                                                    *
* Create Date:     10:08:58 09/09/2015                                        *
* Design Name:                                                                *
* Module Name:                                                                *
* Project Name:                                                               *
* Target Devices:                                                             *
* Tool versions:                                                              *
* Description:                                                                *
*                                                                             *
* Dependencies:                                                               *
*                                                                             *
* Revision 1.0     10:08:58 09/09/2015 Gary Yu                                *
* File Created                                                                *
*                                                                             *
* Additional Comments:                                                        *
*                                                                             *
******************************************************************************/

module sqclkd(CK,E,QCK);
input CK;
input E;
output QCK;
reg Q;

always @(CK or E)
       if(CK) Q = E;
assign QCK = !Q || CK;

endmodule //sqclkd

module sqclkb(CK,E,QCK);
 
input CK;
input E;
output QCK;
reg Q;
 
always @(CK or E)
        if(!CK) Q = E;
assign QCK = Q && CK;
 
endmodule //sqclkb

